com.smartgwt.client.widgets.events

## Class DrawEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<DrawHandler>
    - - com.smartgwt.client.widgets.events.DrawEvent

-     public class DrawEvent
      extends GwtEvent<DrawHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawEvent(java.lang.String ID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(DrawHandler handler)`
    `static <S extends HasDrawHandlers & HasHandlers> void` | `fire(S source, java.lang.String ID)` Fires a close event on all registered handlers in the handler manager.
    `GwtEvent.Type<DrawHandler>` | `getAssociatedType()`
    `java.lang.String` | `getID()`
    `static GwtEvent.Type<DrawHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawEvent

          public DrawEvent(java.lang.String ID)

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

    - #### fire

          public static <S extends HasDrawHandlers & HasHandlers> void fire(S source,
                                                           java.lang.String ID)

      Fires a close event on all registered handlers in the handler manager.
      Type Parameters:
        `T` - the target type
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `target` - the target
        `autoClosed` - was the target closed automatically

    - #### getType

          public static GwtEvent.Type<DrawHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(DrawHandler handler)

      Specified by:
        `dispatch` in class `GwtEvent<DrawHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<DrawHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `GwtEvent<DrawHandler>`